Search
K
Documents

TaxForms V2

getTaxForms-v2

This is an endpoint to get a list of tax-forms from SOVOS

get

Query Parameters

clientCodestring

Client code for the carrier/client

Example:EVGL

contractNumberstringrequired

Contract number for the document/tax-form

Example:1234567898

taxYearstring

Tax-year for the form (defaults to current year-1)

Example:2023

numYearsinteger(int32)

Number of years of forms to query in reverse chronological order from taxyear (incl). Min=1 and Max=5

Default:1

>= 1<= 5

Example:1

Headers

Authorizationstringrequired

Authorization token

Example:Bearer <token>

Response

application/json

OK

TaxFormsResponse200

countnumberrequired
itemsarray[object]required
Show Child Parameters
get/document/v2/taxForms
 
application/json

downloadTaxForm-v2

This is an endpoint to download a tax-form from SOVOS

get

Query Parameters

clientCodestring

Client code for the carrier/client

Example:EVGL

contractNumberstringrequired

Contract number for the document/tax-form

Example:1234567898

fCharstringrequired

Unique string character associated with the tax-form name

Example:R

taxYearstring

Tax-year for the form (defaults to current year-1)

Example:2023

Path Parameters

formIdstringrequired

Form id for the tax-form

Example:123456

Headers

Authorizationstringrequired

Authorization token

Example:Bearer <token>

Response

OK

DownloadDocumentResponse

fileExtensionstringrequired
binaryDatastringrequired
get/document/v2/taxForms/{formId}
 

MetadataByIdResponse

object
metadataobject
Show Child Parameters
correlationIdstring

Unique ID for correlating requests

Example:123e4567-e89b-12d3-a456-426614174000

Example

MetadataResponse

object
sourcestring

Source system or origin of the document

Example:Email

documentIdstring

Unique ID in EDS db

Example:670e23dfab593b4387210b81

formNumberstring

Form number associated with the document

Example:FORM123

fileTypestring

Type of file, e.g., pdf, doc, etc.

Example:pdf

documentClassificationstring

Classification of the document, e.g., OUTBOUND or INBOUND

Allowed values:OUTBOUNDINBOUND

Example:OUTBOUND

documentTypestring

Type of document indicating its purpose

Example:NB Application

documentCategorystring

Category of the document, such as New Business or Claim

Example:New Business

documentTypeDescriptionstring

Description of the document type

Example:Deferred Annuity Application

documentStatusinteger(int32)

Indicates the current status of the document. ‘1’ for ACTIVE, ‘0’ for INACTIVE.

Example:1

versionstring

Version of the document

Example:1

documentDatestring(date-time)

Date of the document

Example:2024-03-18T14:30:00.000Z

zinniaLiveCaseIdstring

Zinnia Live Case ID

Example:ZLC09876

planCodestring

Plan code

Example:565

policyNumberstring

Policy number associated with the document

Example:23109168

brokerMasterNumberstring

Broker master number associated with the document

Example:BKR123456

repMasterNumberstring

Representative master number associated with the document

Example:REP987654

agentExternalIDstring

External ID of the agent associated with the document

Example:AGT12345

brokerExternalIDstring

External ID of the broker associated with the document

Example:BRK12345

mailTrackingNumberstring

Mail tracking number

Example:TRK123456

deliveryMethodstring

Delivery method

Example:Email

emailFromstring

Email address

Example:XHbN8@example.com

emailTostring

Email address

Example:XHbN8@example.com

emailSubjectstring

Email subject

Example:Deferred Annuity Application

appIdstring

Application ID

Example:APP123456

mailShipDatestring(date-time)

Mail ship date

Example:2024-03-18T14:30:00.000Z

participantAccountNumberstring

Account number of the participant

Example:123456789

sourceFileNamestring

Name of the file in source system

Example:files/123456.pdf

displayNamestring

Display name of the document

Example:Deferred Annuity Application

distributionChannelstring

Distribution channel through which the document was delivered

Example:Online Portal

periodYearinteger(int32)

Year of the document period

Example:2024

periodQuarterstring

Quarter of the document period in Q1-Q4 format

Example:Q2

documentNumberstring

Document number associated with the document (if present) else document Id

Example:670e23dfab593b4387210b81 or 20241230-M-463066

documentVersionsarray[object]

Previous versions of the document

Show Child Parameters
scenariostring

Scenario

Allowed values:duplicatereplace

Example:duplicate

linkedDocumentIdstring

Linked document ID

Example:693e23dfab593b4387210k92

importDatestring(date-time)

Document creation timestamp(in UTC timezone)

Example:2024-09-23T10:30:00.000Z

Example